package com.hzya.frame.nifi.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * nifi service配置类
 *
 * @Author：liuyang
 * @Package：com.hzya.frame.nifi.config
 * @Project：fw-nifi
 * @name：NifiConfig
 * @Date：2025/5/14 09:59
 * @Filename：NifiConfig
 */
@Configuration
public class NifiServiceConfig {

    @Value("${nifi.api.url:https://192.168.2.233:8443/nifi-api}")
    private String apiUrl;

    @Value("${nifi.api.username:hzya}")
    private String username;

    @Value("${nifi.api.password:hzya1314*nifi}")
    private String password;

    public String getApiUrl() {
        return apiUrl;
    }

    public void setApiUrl(String apiUrl) {
        this.apiUrl = apiUrl;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
