package com.hzya.frame.nifi.model.processgroupid;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class Descriptors {
    @JsonProperty("Log Level")
    private LogLevel logLevel;

    @JsonProperty("Log Payload")
    private LogPayload logPayload;

    @JsonProperty("Attributes to Log")
    private AttributesToLog attributesToLog;

    @JsonProperty("attributes-to-log-regex")
    private AttributesToLogRegex attributesToLogRegex;

    @JsonProperty("Attributes to Ignore")
    private AttributesToIgnore attributesToIgnore;

    @JsonProperty("attributes-to-ignore-regex")
    private AttributesToIgnoreRegex attributesToIgnoreRegex;

    @JsonProperty("Log FlowFile Properties")
    private LogFlowFileProperties logFlowFileProperties;

    @JsonProperty("Output Format")
    private OutputFormat outputFormat;

    @JsonProperty("Log prefix")
    private LogPrefix logprefix;

    @JsonProperty("character-set")
    private CharacterSet characterSet;
}