package com.hzya.frame.nifi.model.resultprocessorsinfo;

import lombok.Data;

import java.util.Map;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.nifi.model.resultprocessorsinfo
 * @Project：fw-nifi
 * @name：Config16
 * @Date：2025/5/19 10:06
 * @Filename：Config16
 */
@Data
public class Config16 {
    private Map<String, String> properties;
    private String schedulingPeriod;
    private String schedulingStrategy;
    private String executionNodel;
    private String penaltyDuration;
    private String yieldDuration;
    private String bulletinLevel;
    private String runDurationMillis;
    private String concurrentlySchedulableTaskCount;
    private String comments;
    private String lossTolerant;
    private String retryCount;
    private String backoffMechanism;
    private String maxBackoffPeriod;
}
