package com.hzya.frame.sys.flow.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sys.flow.entity.SysFlowClassEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 流程分类;对应数环通项目分类(SysFlowClass)表服务接口
 *
 * @author xiang2lin
 * @since 2025-04-29 10:16:27
 */
public interface ISysFlowClassService extends IBaseService<SysFlowClassEntity, String>{

    /**
     * 根据Id查询
     * @param object
     * @return
     */
    JsonResultEntity getFlowClass(JSONObject object);
    /**
     * 新增流程分类
     * @param object
     * @return
     */
    JsonResultEntity saveFlowClass(JSONObject object);

    /**
     * 修改流程分类
     * @param object
     * @return
     */
    JsonResultEntity updateFlowClass(JSONObject object);

    /**
     * 删除流程分类
     * @param object
     * @return
     */
    JsonResultEntity deleteFlowClass(JSONObject object);
}
