package com.hzya.frame.sys.flow.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sys.flow.entity.SysFlowNifiConstantEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * nifi常量(SysFlowNifiConstant)表服务接口
 *
 * @author xiang2lin
 * @since 2025-04-29 10:16:27
 */
public interface ISysFlowNifiConstantService extends IBaseService<SysFlowNifiConstantEntity, String>{

    /**
     * 详情
     * @param object
     * @return
     */
    JsonResultEntity getNifiConstant(JSONObject object);

    /**
     * 保存nifi常量
     * @param object
     * @return
     */
    JsonResultEntity saveNifiConstant(JSONObject object);

    /**
     * 更新nifi常量
     * @param object
     * @return
     */
    JsonResultEntity updateNifiConstant(JSONObject object);

    /**
     * 更新nifi常量
     * @param object
     * @return
     */
    JsonResultEntity deleteNifiConstant(JSONObject object);
}
